<html>
<head>
<title>OGRE: Member List - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.5.3 -->
<div class="tabs">
  <ul>
    <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
    <li><a href="namespaces.html"><span>Namespaces</span></a></li>
    <li class="current"><a href="classes.html"><span>Classes</span></a></li>
    <li><a href="files.html"><span>Files</span></a></li>
    <li><a href="dirs.html"><span>Directories</span></a></li>
    <li><a href="pages.html"><span>Related&nbsp;Pages</span></a></li>
  </ul>
</div>
<div class="tabs">
  <ul>
    <li><a href="classes.html"><span>Alphabetical&nbsp;List</span></a></li>
    <li><a href="annotated.html"><span>Class&nbsp;List</span></a></li>
    <li><a href="hierarchy.html"><span>Class&nbsp;Hierarchy</span></a></li>
    <li><a href="functions.html"><span>Class&nbsp;Members</span></a></li>
  </ul>
</div>
<h1>Ogre::AlignedAllocator&lt; T, Alignment &gt; Member List</h1>This is the complete list of members for <a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a>, including all inherited members.<p><table>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#f4af61f0e92ee45f286e1aac5b1dbb46">address</a>(reference r)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#185069b149832d63a6d8669df7433276">address</a>(const_reference s)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#ec0f4e93bb6df7da96d02e6a6aafadfd">AlignedAllocator</a>()</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#b46efcba50e776418c69f2baa9433973">AlignedAllocator</a>(const AlignedAllocator&lt; U, A &gt; &amp;)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#f8f92ce7ead18f19b3aeffc31bef6ea0">allocate</a>(const size_type n)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#05792d08c02705b3906e3165a0177159">allocate</a>(const size_type n, const void *const)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#73334762e95de450d120c4396aa663f1">const_pointer</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#c80b1aa53316df1b1e23ad2319f83330">const_reference</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#77edf238b487df02dd370e99984c908b">construct</a>(const pointer ptr, const value_type &amp;t)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#c1acbd32d09bbbba77495bc10ab68fef">deallocate</a>(const pointer ptr, const size_type)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#0076531fab32f31276450f2a42bc9d32">destroy</a>(const pointer ptr)</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#6e5f1812bdd1c3cc366a9be61d36f3b7">difference_type</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#744410498c48c719292cccb5a4e26043">IsValidAlignment</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [private]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#30e195193b6291bb26dce42cacb7da88">max_size</a>()</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td><code> [static]</code></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#02f073c6d6dcfb5b8588020c52206c28">operator!=</a>(const AlignedAllocator &amp;) const </td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#ccccdf14d5e1b920eb9a3b99a6654872">operator==</a>(const AlignedAllocator &amp;) const </td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#7720aee91eb84fd974a4d132fc205d76">pointer</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#438ec4e550d048919e50d830100ad589">reference</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#f8630beb73a7bdb96835bba8a8fac3e7">size_type</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
  <tr class="memlist"><td><a class="el" href="classOgre_1_1AlignedAllocator.html#cf9b59808ec43c8e5902a016dd754096">value_type</a> typedef</td><td><a class="el" href="classOgre_1_1AlignedAllocator.html">Ogre::AlignedAllocator&lt; T, Alignment &gt;</a></td><td></td></tr>
</table><hr>
<p>
Copyright &copy; 2000-2005 by The OGRE Team<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/"><img alt="Creative Commons License" border="0" src="http://creativecommons.org/images/public/somerights20.png"/></a><br/>
This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/2.5/">Creative Commons Attribution-ShareAlike 2.5 License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Mon Jun 16 12:49:06 2008
</p>
</body>
</html>
